OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class DominoIIOPPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.DominoIIOPPlugin

All Implemented Interfaces:
  Plugin

public final class DominoIIOPPlugin
extends AbstractTcpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an IIOP on a Domino server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Author:
  Jason , OpenNMS

Nested Class Summary
`static class` `DominoIIOPPlugin.DominoConnectionConfig` Encapsulates the configuration characteristics unique to a DominoIIOP connection

Field Summary
`private static int` `DEFAULT_IORPORT` Default port of where to find the IOR via HTTP
`private static int` `DEFAULT_PORT` Default port.
`private static int` `DEFAULT_RETRY` Default number of retries for TCP requests
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for TCP requests
`private static java.lang.String` `PROTOCOL_NAME` The protocol supported by the plugin

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`DominoIIOPPlugin()`

Method Summary
`protected boolean` `checkProtocol(java.net.Socket socket, ConnectionConfig config)`
`protected ConnectionConfig` `createConnectionConfig(java.net.InetAddress address, int port)`
`protected void` `populateConnectionConfig(ConnectionConfig connConfig, java.util.Map qualifiers)`
`protected boolean` `preconnectCheck(ConnectionConfig tcpConfig)`
`private java.lang.String` `retrieveIORText(java.lang.String host, int port)` Method used to retrieve the IOR string from the Domino server.
`protected void` `saveConfig(ConnectionConfig config)`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, getConnectionConfigList, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, saveConfig, saveKeyedInteger, setPluginName, wrapSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IORPORT

    private static final int DEFAULT_IORPORT

  Default port of where to find the IOR via HTTP

  See Also:
    Constant Field Values

### DEFAULT_PORT

    private static final int DEFAULT_PORT

  Default port.

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for TCP requests

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for TCP requests

  See Also:
    Constant Field Values

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

  The protocol supported by the plugin

  See Also:
    Constant Field Values

Constructor Detail

### DominoIIOPPlugin

    public DominoIIOPPlugin()

Method Detail

### checkProtocol

    protected boolean checkProtocol(java.net.Socket socket,
                                    ConnectionConfig config)

  Specified by:
    `checkProtocol` in class `AbstractTcpPlugin`

### createConnectionConfig

    protected ConnectionConfig createConnectionConfig(java.net.InetAddress address,
                                                      int port)

  Overrides:
    `createConnectionConfig` in class `AbstractTcpPlugin`

### populateConnectionConfig

    protected void populateConnectionConfig(ConnectionConfig connConfig,
                                            java.util.Map qualifiers)

  Overrides:
    `populateConnectionConfig` in class `AbstractTcpPlugin`

### preconnectCheck

    protected boolean preconnectCheck(ConnectionConfig tcpConfig)

  Overrides:
    `preconnectCheck` in class `AbstractTcpPlugin`

### retrieveIORText

    private java.lang.String retrieveIORText(java.lang.String host,
                                             int port)
                                      throws java.io.IOException

  Method used to retrieve the IOR string from the Domino server.

  Parameters:
    `host` - the host name which has the IOR
    `port` - the port to find the IOR via HTTP
  Throws:
    `java.io.IOException`

### saveConfig

    protected void saveConfig(ConnectionConfig config)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.